Last Comment Bug 650483 - Descenders cut off on one-line input fields
: Descenders cut off on one-line input fields
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-16 03:56 PDT by Thomas
Modified: 2014-01-16 08:38 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot of problem on Facebooks main page (3.84 KB, image/png)
2011-04-16 03:57 PDT, Thomas
no flags Details

Description Thomas 2011-04-16 03:56:36 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0

The descenders, part of a letter/character below the baseline (e.g.: j, g, y), disappears when typng text in an input field of one line (height=1 line or rule)
I can't find the specific component that causes the problem.
In safemode the problem is not always (not on every OS/ version) resolved)
With firebug extension I can see that the div-height is not correct (too small), but if the site was poorly designed it shouldn't be resolved in safe mode. And I see the problem also on Facebook's status input field (which I don't think is poorly designed).

Reproducible: Always

Steps to Reproduce:
1. Find one line text input field (like status on facebook)
2. type letters with a descender (eg: j or g)
3. Look at result
Actual Results:  
the descenders are cut off

Expected Results:  
the descenders should be visible 

Happens on both my computers (Win 7, Fx 4.0 | Ubuntu 10.10, Fx 3.6.16)

On Win7 Fx 4.0:
In safe mode the results are correct (descenders are visible)
When manually disabling all extensions the results are wrong (descenders cut off)

On Ubuntu 10.10 Fx 3.6.16
Both safe mode and manually disabling all extensions show wrong results (descenders cut off)

Extensions installed on Win7 Fx 4.0:
  Adblock Plus 1.3.6
  Autofill Forms 0.9.8.0
  British English Dictionary 1.19.1
  Context Search 0.4.6
  Dictionnaire français"Classique et réforme 1990" 4.0.3
  Firebug 1.7.0
  Firefox 4 UI Fixer 1.4.3
  Gmail Manager 0.6.4.1
  Greasemonkey 0.9.2
    Flickr link original images 1.20
    Google reader filter
    Imdb pirated edition 20101021
  gTranslate 0.8
  Java console 6.0.23
  Java console 6.0.24
  Menu Editor 1.2.7
  Rapportive 1.2
  Tab Mix Plus 0.3.8.5
  Woordenboek Nederlands 3.0.1
  (not compatible, disabled) Firefox Synchronisation Extension 7.3.4.51

Extensions installed on Ubuntu 10.10 Fx 3.6.16:
  Adblock Plus 1.3.6
  Context Search 0.4.6
  Tab Mix Plus 0.3.8.5
  Ubuntu Firefox Modifications 0.9rc2
  Woordenboek Nederlands 3.0.1
Comment 1 Thomas 2011-04-16 03:57:55 PDT
Created attachment 526479 [details]
screenshot of problem on Facebooks main page
Comment 2 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-04-16 05:01:33 PDT
What styles are they applying to that field?  It sounds like they're just explicitly styling it to not be tall enough...
Comment 3 Thomas 2011-04-16 05:50:01 PDT
I have no idea what style is applied to the field... (I'm no webdesigner/programmer) div innerWrap has height set to 16px but should be more like 18px?
I was wondering if it's just me encoutering this? I suppose not as I have it on 2 computers. 
It's not only on facebook but I'll try to add other websites where I encounter the issue.
Comment 4 Boris Zbarsky [:bz] (Out June 25-July 6) 2011-04-27 21:03:35 PDT
If you can post a public URI that shows the problem, that would be great, yes.
Comment 5 Thomas 2011-04-28 02:44:48 PDT
Problem seems to have solved itself. I'm not encountering it any more.

Note You need to log in before you can comment on or make changes to this bug.